<?php

/* $Id: SelectCustomer.php 7133 2015-02-07 03:23:51Z daintree $*/

include('https://ebusinescloudservers.com/evergreenerp/includes/session.inc');
$Title = _('HRMS');
include('https://ebusinescloudservers.com/evergreenerp/includes/header.inc');
include('https://ebusinescloudservers.com/evergreenerp/includes/SQL_CommonFunctions.inc');
echo '<link href="' . $RootPath . 'https://ebusinescloudservers.com/evergreenerp/css/evergreen2'.'/default.css" rel="stylesheet" type="text/css" media="screen"/>';


//echo '<p class="page_title_text"><img src="'.$RootPath.'/css/'.$Theme.'/images/maintenance.png"> </p>';
      
	echo '<div class="centre" >';
		echo '<div class="aflpanel" style="margin-bottom:10px">';
		
    include('https://ebusinescloudservers.com/evergreenerp/xcrud/xcrud.php');
    $xcrud = Xcrud::get_instance();
	$xcrud->table('rostering');
	

	
	//1st level main table
	
	$xcrud->relation('client','guardforceclient','clientid','clientname');
	
  $xcrud->relation('patrol_location','guardforceclient','clientid','patrollocation','','','',' ','','clientid','client');
  $xcrud->relation('section','guardforceclient','clientid','sections','','','',' ','','clientid','patrol_location');	
	$xcrud->table_name('Guardforce Client Rostering Management','Employee scheduling','icon-leaf');
	
			
    $xcrud->change_type('status','select','pending','pending,approved');
	
	$approvedby=stripslashes($_SESSION['UsersRealName']);
	//$xcrud->columns('approved_by',true);
     
	//$xcrud->fields('approved_by',true);
	
	$xcrud->validation_required(array('period' => 1,'start_date','end_date','client','patrol_location'));
	$xcrud->duplicate_button();
    $xcrud->disabled('total_hours,expected_cost');
	
	$xcrud->benchmark(true);
	
	
	
	
	
	echo $xcrud->render();
	
	

echo '</div>';
echo '</div>';

include('https://ebusinescloudservers.com/evergreenerp/includes/footer.inc'); 

?>

